@REM ----------------------------------------------------------------------------
@REM  Copyright 2001-2006 The Apache Software Foundation.
@REM
@REM  Licensed under the Apache License, Version 2.0 (the "License");
@REM  you may not use this file except in compliance with the License.
@REM  You may obtain a copy of the License at
@REM
@REM       http://www.apache.org/licenses/LICENSE-2.0
@REM
@REM  Unless required by applicable law or agreed to in writing, software
@REM  distributed under the License is distributed on an "AS IS" BASIS,
@REM  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@REM  See the License for the specific language governing permissions and
@REM  limitations under the License.
@REM ----------------------------------------------------------------------------
@REM
@REM   Copyright (c) 2001-2006 The Apache Software Foundation.  All rights
@REM   reserved.

@echo off

set ERROR_CODE=0

:init
@REM Decide how to startup depending on the version of windows

@REM -- Win98ME
if NOT "%OS%"=="Windows_NT" goto Win9xArg

@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" @setlocal

@REM -- 4NT shell
if "%eval[2+2]" == "4" goto 4NTArgs

@REM -- Regular WinNT shell
set CMD_LINE_ARGS=%*
goto WinNTGetScriptDir

@REM The 4NT Shell from jp software
:4NTArgs
set CMD_LINE_ARGS=%$
goto WinNTGetScriptDir

:Win9xArg
@REM Slurp the command line arguments.  This loop allows for an unlimited number
@REM of arguments (up to the command line limit, anyway).
set CMD_LINE_ARGS=
:Win9xApp
if %1a==a goto Win9xGetScriptDir
set CMD_LINE_ARGS=%CMD_LINE_ARGS% %1
shift
goto Win9xApp

:Win9xGetScriptDir
set SAVEDIR=%CD%
%0\
cd %0\..\.. 
set BASEDIR=%CD%
cd %SAVEDIR%
set SAVE_DIR=
goto repoSetup

:WinNTGetScriptDir
for %%i in ("%~dp0..") do set "BASEDIR=%%~fi"

:repoSetup
set REPO=


if "%JAVACMD%"=="" set JAVACMD=java

if "%REPO%"=="" set REPO=%BASEDIR%\repo

set CLASSPATH="%BASEDIR%"\etc;"%REPO%"\org\codehaus\groovy\groovy\3.0.3\groovy-3.0.3.jar;"%REPO%"\org\codehaus\groovy\groovy-ant\3.0.3\groovy-ant-3.0.3.jar;"%REPO%"\org\apache\ant\ant\1.10.7\ant-1.10.7.jar;"%REPO%"\org\apache\ant\ant-junit\1.10.7\ant-junit-1.10.7.jar;"%REPO%"\org\apache\ant\ant-launcher\1.10.7\ant-launcher-1.10.7.jar;"%REPO%"\org\apache\ant\ant-antlr\1.10.7\ant-antlr-1.10.7.jar;"%REPO%"\org\codehaus\groovy\groovy-astbuilder\3.0.3\groovy-astbuilder-3.0.3.jar;"%REPO%"\org\codehaus\groovy\groovy-cli-picocli\3.0.3\groovy-cli-picocli-3.0.3.jar;"%REPO%"\org\codehaus\groovy\groovy-console\3.0.3\groovy-console-3.0.3.jar;"%REPO%"\org\codehaus\groovy\groovy-datetime\3.0.3\groovy-datetime-3.0.3.jar;"%REPO%"\org\codehaus\groovy\groovy-docgenerator\3.0.3\groovy-docgenerator-3.0.3.jar;"%REPO%"\com\thoughtworks\qdox\qdox\1.12.1\qdox-1.12.1.jar;"%REPO%"\org\codehaus\groovy\groovy-groovydoc\3.0.3\groovy-groovydoc-3.0.3.jar;"%REPO%"\com\github\javaparser\javaparser-core\3.15.17\javaparser-core-3.15.17.jar;"%REPO%"\org\codehaus\groovy\groovy-groovysh\3.0.3\groovy-groovysh-3.0.3.jar;"%REPO%"\jline\jline\2.14.6\jline-2.14.6.jar;"%REPO%"\org\codehaus\groovy\groovy-jmx\3.0.3\groovy-jmx-3.0.3.jar;"%REPO%"\org\codehaus\groovy\groovy-json\3.0.3\groovy-json-3.0.3.jar;"%REPO%"\org\codehaus\groovy\groovy-jsr223\3.0.3\groovy-jsr223-3.0.3.jar;"%REPO%"\org\codehaus\groovy\groovy-macro\3.0.3\groovy-macro-3.0.3.jar;"%REPO%"\org\codehaus\groovy\groovy-nio\3.0.3\groovy-nio-3.0.3.jar;"%REPO%"\org\codehaus\groovy\groovy-servlet\3.0.3\groovy-servlet-3.0.3.jar;"%REPO%"\org\codehaus\groovy\groovy-sql\3.0.3\groovy-sql-3.0.3.jar;"%REPO%"\org\codehaus\groovy\groovy-swing\3.0.3\groovy-swing-3.0.3.jar;"%REPO%"\org\codehaus\groovy\groovy-templates\3.0.3\groovy-templates-3.0.3.jar;"%REPO%"\org\codehaus\groovy\groovy-test\3.0.3\groovy-test-3.0.3.jar;"%REPO%"\junit\junit\4.13\junit-4.13.jar;"%REPO%"\org\hamcrest\hamcrest-core\1.3\hamcrest-core-1.3.jar;"%REPO%"\org\codehaus\groovy\groovy-test-junit5\3.0.3\groovy-test-junit5-3.0.3.jar;"%REPO%"\org\junit\platform\junit-platform-launcher\1.6.0\junit-platform-launcher-1.6.0.jar;"%REPO%"\org\junit\platform\junit-platform-engine\1.6.0\junit-platform-engine-1.6.0.jar;"%REPO%"\org\opentest4j\opentest4j\1.2.0\opentest4j-1.2.0.jar;"%REPO%"\org\junit\platform\junit-platform-commons\1.6.0\junit-platform-commons-1.6.0.jar;"%REPO%"\org\junit\jupiter\junit-jupiter-engine\5.6.0\junit-jupiter-engine-5.6.0.jar;"%REPO%"\org\junit\jupiter\junit-jupiter-api\5.6.0\junit-jupiter-api-5.6.0.jar;"%REPO%"\org\codehaus\groovy\groovy-testng\3.0.3\groovy-testng-3.0.3.jar;"%REPO%"\org\testng\testng\6.14.3\testng-6.14.3.jar;"%REPO%"\com\beust\jcommander\1.72\jcommander-1.72.jar;"%REPO%"\org\codehaus\groovy\groovy-xml\3.0.3\groovy-xml-3.0.3.jar;"%REPO%"\info\picocli\picocli\4.5.1\picocli-4.5.1.jar;"%REPO%"\io\github\http-builder-ng\http-builder-ng-core\1.0.4\http-builder-ng-core-1.0.4.jar;"%REPO%"\xml-resolver\xml-resolver\1.2\xml-resolver-1.2.jar;"%REPO%"\org\slf4j\slf4j-api\1.7.21\slf4j-api-1.7.21.jar;"%REPO%"\org\slf4j\slf4j-simple\1.7.30\slf4j-simple-1.7.30.jar;"%REPO%"\org\craftercms\crafter-cli\3.2.0-SNAPSHOT\crafter-cli-3.2.0-SNAPSHOT.jar

set ENDORSED_DIR=
if NOT "%ENDORSED_DIR%" == "" set CLASSPATH="%BASEDIR%"\%ENDORSED_DIR%\*;%CLASSPATH%

if NOT "%CLASSPATH_PREFIX%" == "" set CLASSPATH=%CLASSPATH_PREFIX%;%CLASSPATH%

@REM Reaching here means variables are defined and arguments have been captured
:endInit

%JAVACMD% %JAVA_OPTS%  -classpath %CLASSPATH% -Dapp.name="crafter-cli" -Dapp.repo="%REPO%" -Dapp.home="%BASEDIR%" -Dbasedir="%BASEDIR%" org.craftercms.cli.Main %CMD_LINE_ARGS%
if %ERRORLEVEL% NEQ 0 goto error
goto end

:error
if "%OS%"=="Windows_NT" @endlocal
set ERROR_CODE=%ERRORLEVEL%

:end
@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" goto endNT

@REM For old DOS remove the set variables from ENV - we assume they were not set
@REM before we started - at least we don't leave any baggage around
set CMD_LINE_ARGS=
goto postExec

:endNT
@REM If error code is set to 1 then the endlocal was done already in :error.
if %ERROR_CODE% EQU 0 @endlocal


:postExec

if "%FORCE_EXIT_ON_ERROR%" == "on" (
  if %ERROR_CODE% NEQ 0 exit %ERROR_CODE%
)

exit /B %ERROR_CODE%
